Retrieve activities in Environment/Org
Retrieves information about activities in the Environment/Org.
GET https://{controlplane_path}/api/1/rest/public/activities/{env_org}
This API retrieves information about activities in the Environment/Org.
- project space
- project
- asset
- asset_type
- user
- event_type
- alert_state
- is_alert
- start
- end
- offset
- limit
Prerequisites
- Read access to the requested assets
Request
GET https://{controlplane_path}/api/1/rest/public/activities/{env_org}?{query_parameters}
Path parameters
| Key | Description |
|---|---|
controlplane_path |
Required. The path to the SnapLogic control plane:
elastic.snaplogic.com
For the UAT or EMEA control plane, substitute the name for elastic. For
example:
|
env_org |
Required. The name of the SnapLogic environment/Org. For example,
My-Dev-Env |
Query parameters
| Key | Type | Description |
|---|---|---|
filter_project_space |
string | Returns activities related to a project space. |
filter_project |
string | Returns activities related to a project.
Requires filter_project_space.
Example: |
filter_asset |
string | Returns activities related to the specified asset.
Requires filter_project_space and filter_ project.
Example: |
filter_asset_type |
string | Returns activities related to specific type of assets.
Valid values:
Example: |
filter_user |
string | Returns activities related to a user. |
filter_event_type |
CSV string | Returns activities of one or more event types separated by commas.
Valid values:
|
filter_alert_state |
string | Returns activities that match the specified alert state.
Valid values:
|
filter_is_alert |
Boolean | If true, returns activities that are alerts;
otherwise, returns activities that are not alerts.
|
filter_snaplogic_admin_update |
Boolean | If true, returns activities that were initiated by a SnapLogic process. |
start |
integer | Returns activities that occurred since the specified timestamp. Provide time as Unix time in milliseconds. |
end |
integer | Returns activities that occurred before the specified timestamp. Provide time as Unix time in milliseconds. |
limit |
integer | Returns no more than the specified number of results.
You can use limit and offset for
pagination.
Valid values: 1 through 100,000 Default: 100 |
offset |
integer | Returns a subset of the results starting at this 0-based index.
You can use limit and offset for
pagination.
Default: 0 |
Request header
Basic authentication
To use basic authentication, specify Basic for authorization in the request
header, add your credentials (email and password for your SnapLogic user or service account), and
specify application/json for content type. For example:
Authorization: Basic {base64_encoded <email>:<password>}
Content-Type: application/json
Example of basic authentication using Postman:
Learn more about the basic authentication header in REST API requests.
JWT authentication
When using JWT authentication, the API request includes specific headers. In the request header,
specify Bearer Token for authorization, add the token, and specify
application/json for content type. These headers are automatically added when
you configure bearer token authentication in your API client. The authorization header contains
the word Bearer followed by a space and your JWT.
Authorization: Bearer Token {token}
Content-Type: application/json
Example of JWT authentication using Postman:
Request body
None.
{
"total": ...,
"offset": ...,
"limit": ...,
"entries": [ ... ]
}
| Key | Type | Description |
|---|---|---|
total |
integer | The total number of results available. |
offset |
integer | The index of the first result returned. |
limit |
integer | The number of results returned. |
entries |
array |
An array of objects containing metadata about
each activity.
The structure of each object depends on the
event type.
Learn more: Reference: Activity metadata |
Notes
- session_start
- session_end
- sso_session_start
- user_create
- user_update
- user_delete
- user_auth_failure
- user_lockout
- user_unlock
- password_change
- password_reset
- create_reset_link
- asset_create
- asset_create_by_operation
- asset_update
- asset_delete
- asset_rename
- asset_owner_change
- asset_move
- asset_access
- acl_add
- acl_remove
- group_create
- group_provisioned_create
- group_delete
- group_update
- plex_node_add
- plex_node_restart
- plex_node_crash
- plex_node_crash_ground
- plex_pipeline_killer
- plex_congestion
- plex_node_enter_maintenance_mode
- plex_node_leave_maintenance_mode
- plex_node_auto_scale_config_update
- plex_node_connection_rejected
- plex_node_memory_usage
- plex_node_cpu_usage
- plex_node_cpu_old_usage
- plex_node_disk_usage
- plex_version_update
- dist_change
- dist_override
- dist_subscribe
- org_add_user
- org_remove_user
- org_concurrent_call_limit
- org_update
- org_update_enable_disable
- org_update_git_settings
- org_add_trusted_org
- org_remove_trusted_org
- org_configure_encryption
- org_configure_timeout
- org_manage_snaplex_version
- org_pwd_expiration_policy
- org_cloud_trig_tasks_loc
- org_add_ip_allowlist
- org_remove_ip_allowlist
- org_apply_ip_allowlist
- org_add_cors_domain
- org_remove_cors_domain
- org_add_email_domain
- org_remove_email_domain
- org_ground_connect_loc
- org_add_ground_allowlist
- org_remove_ground_allowlist
- org_configure_api_limit
- org_configure_concurrent_limit
- org_set_default_app
- org_add_recipient
- org_remove_recipient
- org_update_regression_tests
- org_add_channel
- org_remove_channel
- org_add_dm
- org_remove_dm
- org_add_slack
- org_remove_slack
- org_add_notification
- org_remove_notification
- org_manage_sso_req_signed
- org_manage_sso_compare
- org_manage_sso_add_context
- org_manage_sso_remove_context
- org_deprovision
- org_reprovision
- org_delete
- provision_org
- daily_api_usage
- concurrent_api_usage
- policy_create
- policy_update
- policy_delete
- publish_version
- unpublish_version
- deprecate_version
- retire_version
- publish_proxy
- unpublish_proxy
- deprecate_proxy
- retire_proxy
- dev_portal_approve
- dev_portal_pending
- dev_portal_deny
- dev_portal_remove
- subscription_pending
- subscription_approve
- subscription_revoke
- subscription_deny
- dev_hub_application_subscription
- dev_hub_subscription_token_update
- legacy_apim_migration
- task_duration_anomaly_time
- task_duration_anomaly_perc_normal
- cluster_initiated
- cluster_idle
- cluster_unknown
- cluster_terminated
- feature_flag_update
- feature_flag_delete
- plex_feature_flag_update
- plex_feature_flag_delete
- account_stale
- bucket_create
- bucket_delete
- git_checkout
- git_checkout_overwrite
- git_pull
- git_commit
- git_untrack
- project_pipe_validation
- snapgpt_analyze_pipeline
- snapgpt_describe_pipeline
- snapgpt_generate_expression
- snapgpt_generate_pipeline
- snapgpt_qna
- snapgpt_refine_pipeline
- snapgpt_refine_snap